<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.property.mapper.AMaintenanceMapper">

    <resultMap id="BaseResultMap" type="com.zksy.property.domain.AMaintenance">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="assetCode" column="asset_code" jdbcType="VARCHAR"/>
            <result property="assetName" column="asset_name" jdbcType="VARCHAR"/>
            <result property="equipmentName" column="equipment_name" jdbcType="VARCHAR"/>
            <result property="serialNumber" column="serial_number" jdbcType="VARCHAR"/>
            <result property="taskType" column="task_type" jdbcType="VARCHAR"/>
            <result property="taskSource" column="task_source" jdbcType="VARCHAR"/>
            <result property="taskTitle" column="task_title" jdbcType="VARCHAR"/>
            <result property="taskDesc" column="task_desc" jdbcType="VARCHAR"/>
            <result property="submitUser" column="submit_user" jdbcType="VARCHAR"/>
            <result property="submitTime" column="submit_time" jdbcType="TIMESTAMP"/>
            <result property="assignUser" column="assign_user" jdbcType="VARCHAR"/>
            <result property="startTime" column="start_time" jdbcType="TIMESTAMP"/>
            <result property="finishTime" column="finish_time" jdbcType="TIMESTAMP"/>
            <result property="taskStatus" column="task_status" jdbcType="VARCHAR"/>
            <result property="evaluationDesc" column="evaluation_desc" jdbcType="VARCHAR"/>
            <result property="totalCost" column="total_cost" jdbcType="DECIMAL"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,asset_code,asset_name,
        equipment_name,serial_number,task_type,
        task_source,task_title,task_desc,
        submit_user,submit_time,assign_user,
        start_time,finish_time,task_status,
        evaluation_desc,total_cost,create_time,
        create_by,update_time,update_by
    </sql>
</mapper>
